https://www.docusign.com/v2.1/accounts/{accountId}/powerforms/{powerFormId}/form_dataThis method enables Powerform Administrators or the sender of a PowerForm to download the data that recipients have entered into a PowerForm. You specify the format in which you want to retrieve the data in the `Accept` header. This header accepts the following values: - `application/json`: JSON format - `application/xml`: XML format - `text/csv`: Comma-separated value (CSV) format You can further specify the type of CSV format in the `data_layout` query parameter. **Note:** Only PowerForm Administrators or the PowerForm Sender can download the data associated with a PowerForm.
The external account number (int) or account ID GUID.
The ID of the PowerForm.
The layout in which to return the PowerForm data. For each of the following layouts, set the `Accept` header to the corresponding value. Valid values are: - `Native` (Set `Accept` header to `application/json`) - `Csv_Classic` (Set `Accept` header to `application/csv`) - `Csv_One_Envelope_Per_Line` (Set `Accept` header to `text/csv`) - `Xml_Classic` (Set `Accept` header to `application/xml`)
The start date for a date range in UTC DateTime format. **Note:** If this property is null, no date filtering is applied.
The end date of a date range in UTC DateTime format. The default value is `UtcNow`.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://www.docusign.com/v2.1/accounts/{accountId}/powerforms/{powerFormId}/form_data' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://www.docusign.com/v2.1/accounts/{accountId}/powerforms/{powerFormId}/form_dataThis method enables Powerform Administrators or the sender of a PowerForm to download the data that recipients have entered into a PowerForm. You specify the format in which you want to retrieve the data in the `Accept` header. This header accepts the following values: - `application/json`: JSON format - `application/xml`: XML format - `text/csv`: Comma-separated value (CSV) format You can further specify the type of CSV format in the `data_layout` query parameter. **Note:** Only PowerForm Administrators or the PowerForm Sender can download the data associated with a PowerForm.
The external account number (int) or account ID GUID.
The ID of the PowerForm.
The layout in which to return the PowerForm data. For each of the following layouts, set the `Accept` header to the corresponding value. Valid values are: - `Native` (Set `Accept` header to `application/json`) - `Csv_Classic` (Set `Accept` header to `application/csv`) - `Csv_One_Envelope_Per_Line` (Set `Accept` header to `text/csv`) - `Xml_Classic` (Set `Accept` header to `application/xml`)
The start date for a date range in UTC DateTime format. **Note:** If this property is null, no date filtering is applied.
The end date of a date range in UTC DateTime format. The default value is `UtcNow`.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://www.docusign.com/v2.1/accounts/{accountId}/powerforms/{powerFormId}/form_data' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}